<?php
/* NOTE
 Search PENDING inproject, pending work need to do after a short time.
 REMOVE1 search, its need to remove after its work complete... it is use for testing.
 */


/* PENDING session active needed
session_save_path(__DIR__."/../__sessions_overridepath");
session_name("_uth"); */

$lifetime = 3600 * 24 * 30;
if (session_status() == PHP_SESSION_NONE || session_id() == '') {
    session_set_cookie_params(3600 * 24 * 7, "/");
    session_start();
}



//setcookie(session_name(),session_id(),time()+$lifetime); // Working bad,, create 2 session,, different session on different page

/*****************************************/
global $db, $dbF;

include_once __DIR__ . "/_models/setting/global.setting.php"; // connection setting db
require_once __DIR__ . "/_models/functions/functions.as.php"; // execute query functions
require_once __DIR__ . "/_models/setting/object_class.php"; // License

global $db, $dbF;

include_once __DIR__ . "/_models/traits/session_security.php"; // check session set
//Move // Encrypting_ trait functions.Encode Fun call in login Fun
//Login Functions move...
require_once __DIR__ . "/_models/traits/ajax_functions.php";
require_once __DIR__ . '/_models/traits/admin_permission.php';
require_once __DIR__ . "/_models/traits/common_functions.php";
require_once __DIR__ . "/_models/traits/common_functions2.php";

require_once __DIR__ . "/_models/functions/web_functions.php";
require_once __DIR__ . "/_models/functions/sm_functions.php";
require_once __DIR__ . '/_models/functions/facebook_functions.php';
require_once __DIR__ . '/_models/integrations/twilio_whatsapp.php';
require_once __DIR__ . '/_models/integrations/wa_template.php';

include_once __DIR__ . "/_models/functions/main_functions.php"; //clear only country list function

require_once __DIR__ . "/_models/functions/crm_functions.php";

global $functions;
$functions = new functions();

$webClass = new web_functions();

$adminPanelLanguage = currentWebLanguage(); // when axes admin file for translation use this variable before webProduct and after Web_functions
//If product has in project
require_once __DIR__ . '/_models/functions/webProduct_functions.php';
$productClass = new webProduct_functions();
$crm = new crm_Functions();
$_SESSION['logo'] = uniqid(4);
$webUserType = $webClass->webUserType();